//Raleway, New Tegomin, Nanum Myeongjo
@import url('https://fonts.googleapis.com/css2?family=Nanum+Myeongjo&family=New+Tegomin&family=Raleway:wght@300;400;500&display=swap');

//-------------------------------------Variables--------------------------------------//
//Transitions

$transition-duration: 300ms;
$transition-easing: ease-in;

//Colors

$color-main-01: #f8f4e1;
$color-main-02: #4e3620;

$color-accent: #c8eed9;

$color-text: #0f1f1f;

//spacing

$container-padding: 20px;

//font

$font-size-regular: 20px;
$font-size-small: 16px;
$font-size-large: 28px;

$font-weight-light: 300;
$font-weight-regular: 400;
$font-weight-bold: 500;

//scss

* {
  box-sizing: border-box;
}

html {
  font-family: 'Raleway', Helvetica, sans-serif;
  background-color: $color-main-01;
  background-size: contain;
  width: 100%;
  height: 100%;
  overflow: hidden;
  color: $color-text;
  font-weight: $font-weight-regular;
  font-size: $font-size-regular;
}

body {
  width: 100%;
  height: 100%;
  margin: 0;
}

.font-secondary {
  font-family: 'Nanum Myeongjo', Helvetica, serif;
}

.font-accent {
  font-family: 'New Tegomin', Helvetica, cursive;
}

.h-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;

  & + & {
    margin-top: 30px;
  }
}

.is-hidden {
  opacity: 0;
  display: none;
}

.page {
  height: 100%;
  width: 100%;
  position: relative;
}

section {
  width: 100%;
  height: 100%;
  opacity: 1;
  transition: opacity $transition-duration $transition-easing;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 $container-padding;
}

.link {
  text-decoration: none;
  color: $color-text;
  margin-top: 20px;
  font-size: 20px;

  & + & {
    margin-top: 100px;
  }

  &:hover {
    text-decoration: underline;
  }
}

.textfield {
  background-color: transparent;
  padding: 5px 5px;
  margin-top: 10px;
  font-size: 20px;
  border: none;
  border-bottom: 1px solid $color-main-02;
  width: 80%;
  min-width: 280px;
  outline: none;
  transition: width $transition-duration $transition-easing;

  &:focus {
    width: 100%;
  }
}

.coffee-choice__option {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  text-decoration: underline;
}

.size {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;

  * + * {

  }
}

.is-option {
  width: 100%;
  background-color: rgba($color-accent, .6);
  padding: 3px 10px;
  display: block;

  & + & {
    margin-top: 20px;
  }
}

.button {
  padding: 8px 20px;
  background-color: rgba($color-main-02, .1);
  color: $color-text;
  box-shadow: none;
  border: 1px solid $color-main-02;
  border-radius: 3px;
}

img {
  position: absolute;
  object-fit: contain;
  width: 100%;
  height: auto;
  opacity: .1;
  top: 50%;
  z-index: -1;
}
